#ifndef ERROR_HANDLER_H
#define ERROR_HANDLER_H

enum ErrorCode {
	NO_ERROR,
	OPEN_TEMPLATE,
	MAX_LENGTH_EXCEEDED,
	MEMORY_ALLOCATION_ERROR,
	FEW_ARGUMENTS,
	TOO_MANY_ARGUMENTS,
	HEX_NUMBER_MALFORMED,
	IDENTIFIER,
	EMPTY_STRING,
	UNCLOSED_STRING,
	ARRAY_ELEMENT,
	FREQUENCY,
	NUMBER,
	MANY_SYMBOLS,
	DUPLICATE_SYMBOL,
	EXTRANEOUS,
	UNKNOWN,
	RESERVED,
	COLON,
	REGISTER,
	VALUE,
	COMMA,
	LEFTBRACKET,
	RIGHTBRACKET,
	OP,
	DATA_ADDRESS,
	DATA_SPACE,
	RAM_LIMIT,
	UNQUOTED_TITLE,
	DUPLICATE_TITLE
};

enum NumErrorCode {
	HEX_ERROR = -16,
	BIN_ERROR = -2,
	NUMBER_ERROR = -1,
	OCTAL_ERROR = -8,
	RANGE_ERROR = -255
};

void error(enum ErrorCode errorlevel);

#endif
